<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<title>Vue JS Exercice</title>
		<link rel="stylesheet" href="./style.css" />
		<script src="https://unpkg.com/vue"></script>
	</head>
	<body>
		<div id="app">
			<button @click="changeNb()">Changer le nombre</button>
			<p>Le nombre suivant change au click sur le bouton : {{ nb }}</p>
			<p v-once>Le nombre suivant ne change pas au click sur le bouton : {{ nb }}</p>
			<p>{{ text }}</p>
			<p>{{ html }}</p>
			<p v-html="html"></p>
			<input type="checkbox" id="checkbox" v-model="isButtonDisabled">
			<label for="checkbox">Bouton {{ isButtonDisabled ? 'désactivé' : 'activé' }}</label>
			<div>
				<button :disabled="isButtonDisabled">Je suis un bouton {{ isButtonDisabled ? 'désactivé' : 'activé' }}</button>
			</div>
		</div>
		<script src="./script.js"></script>
	</body>
</html>
